﻿html {
    direction: rtl;
    scroll-behavior: smooth;
}

body {
    direction: rtl;
    font-family: "estedad", sans-serif;
    color: var(--nx-text-general-color, dimgray);
    text-align: right;
    min-width: 320px;
    font-weight: normal;
    font-size: 1rem;
    font-weight: 200;
    cursor: default;
}

@media screen and (min-width:768px) {
    *::-webkit-scrollbar{
    width: 8px;
}

*::-webkit-scrollbar-track {
    background: rgba(0, 0, 0, 0);
    border-radius: 5px;
}

*::-webkit-scrollbar-thumb {
    background-color: rgba(143, 143, 143, 0.4);
    border: 1px solid rgba(0, 0, 0, 0);
    border-radius: 5px;
}

}

* {
    scrollbar-width: thin;
    scrollbar-color: rgba(143, 143, 143, 0.4) rgba(0, 0, 0,0);
    scrollbar border-radius:5px;
}

a {
    color: var(--nx-link-general-color, dimgray);
    text-decoration: none !important;
    outline: none;
    transition: .3s ease all;
}

    a:hover {
        color: var(--nx-link-general-color-hover, navy);
    }

h1 {
    font-weight: 800;
    font-size: 2.5rem;
    letter-spacing: -.04rem;
}

h2 {
    font-weight: 600;
    font-size: 2rem;
    letter-spacing: -.04rem;
}

h2, h3, h4, h5, h6, .font-primary {
    letter-spacing: -.03rem;
}

p {
    font-weight: 300;
    letter-spacing: -.01rem;
    margin: 0 0 .5rem;
}

hr {
    background-color: var(--nx-box-soft-backcolor, whitesmoke);
    opacity: 1;
}

.inline-sep, .text-sep {
    margin: 0 .75rem;
    width: 1px;
    display: inline-flex;
    background-color: var(--nx-text-general-color, dimgray);
    height: 1.3em;
    opacity: .4;
}

.is-mandatory {
    color: red !important;
    font-weight: bold !important;
}

.persian-digit {
    font-family: estedaddigit, shabnamdigit !important;
}

.nointernetconn {
    display: none;
    position: fixed;
    background-color: white;
    align-items: center;
    justify-content: center;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 99999;
}

.nointernetconn-icon {
    font-size: 3rem;
    color: red;
}

.nointernetconn-title {
    font-weight: bold;
    font-size: 1.1rem;
    color: navy;
    margin-bottom: .3rem;
}

.nointernetconn-desc {
    font-weight: normal;
    font-size: 1rem;
    color: gray;
}

.nointernetconn-btn {
    margin: 2rem 0;
    display: inline-block;
    background-color: #f0f0f0;
    padding: .5rem 3rem;
    border-radius: 1rem;
    color: navy;
    transition: .3s ease all;
}

    .nointernetconn-btn:hover {
        background-color: #e9e9e9;
        color: navy;
        font-weight: bold;
    }

.hover-center-under {
    display: inline-block;
    vertical-align: middle;
    -webkit-transform: perspective(1px) translateZ(0);
    transform: perspective(1px) translateZ(0);
    position: relative;
    overflow: hidden;
}

    .hover-center-under:before {
        content: "";
        position: absolute;
        z-index: -1;
        left: 51%;
        right: 51%;
        bottom: 0;
        background: red;
        height: 2px;
        -webkit-transition-property: left, right;
        transition-property: left, right;
        -webkit-transition-duration: 0.3s;
        transition-duration: 0.2s;
        -webkit-transition-timing-function: ease-out;
        transition-timing-function: ease-out;
    }

    .hover-center-under:hover:before, .hover-center-under:active:before {
        left: 0;
        right: 0;
    }

/*--------------------------------------------------------------
# loading page
--------------------------------------------------------------*/
#LoadingPage {
    position: fixed;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background-color: #fff;
    z-index: 9992;
}

.loading-img {
    width: 4rem;
    height: 4rem;
    border: 8px solid #c4e1f4;
    border-left-color: rgb(196, 225, 244);
    border-left-color: whitesmoke;
}

/*--------------------------------------------------------------
# Preloader
--------------------------------------------------------------*/
#preloader {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 9999;
    overflow: hidden;
    background: #fff;
}

    #preloader:before {
        content: "";
        position: fixed;
        top: calc(50% - 30px);
        left: calc(50% - 30px);
        border: 8px solid #c4e1f4;
        border-top-color: whitesmoke;
        border-radius: 50%;
        width: 4rem;
        height: 4rem;
        -webkit-animation: animate-preloader 1s linear infinite;
        animation: animate-preloader 1s linear infinite;
    }

@-webkit-keyframes animate-preloader {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

@keyframes animate-preloader {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}


@media screen and (max-width:767px) {
    h1 {
        font-size: 2.2rem;
    }
}
